
import 'package:crud_service/File/WIIFileRequestEntity.dart';
import 'package:dio/dio.dart';
import 'package:http_parser/http_parser.dart';

class WIIImageUploadEntity extends WIIFileRequestEntity {

  String path;

  WIIImageUploadEntity(this.path);

  Future<MultipartFile> createFormData() async {
    String name = filename() + ".jpg";
    MediaType type = new MediaType("image", "jpeg");
    return MultipartFile.fromFile(path, filename: name, contentType: type);
  }
}