import 'package:crud_service/crud_service.dart';

class DeleteService<T> extends BaseService {

  Future<T> delete(String path) async {
    var request = await createRequest();

    var resultJson = await post(path, request) as Map<String, dynamic>;
    return ServiceConfig.shared.decoder.fromJsonAsT<T>(resultJson);
  }
}