
import 'package:crud_service/File/WIIFileRequestEntity.dart';
import 'package:dio/dio.dart';
import 'package:http_parser/http_parser.dart';

class WIIVideoUploadEntity extends WIIFileRequestEntity {
  String path;

  WIIVideoUploadEntity(this.path);

  Future<MultipartFile> createFormData() async {
    String name = filename() + ".mp4";
    MediaType type = new MediaType("application", "octer-stream");
    return MultipartFile.fromFile(path, filename: name, contentType: type);
  }
}